Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 279588 - x11-drivers/nvidia-drivers-185.18.{29,31} fails with NVIDIA Quadro NVS 140
Summary: x11-drivers/nvidia-drivers-185.18.{29,31} fails with NVIDIA Quadro NVS 140
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Doug Goldstein
URL:
Whiteboard:
Keywords:
: 280031 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-07-29 13:58 UTC by Juergen Rose
Modified: 2009-10-29 19:54 UTC (History)
15 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Nvidia-Bug-Report File as requested by nvidia (see note in ebuild) (nvidia-bug-report-flst61nb.log.gz,37.51 KB, application/octet-stream)
2009-08-02 12:03 UTC, Florian Streibelt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Rose 2009-07-29 13:58:55 UTC
After installing nvidia-driver-185.18.29 the start of gdm kills the console, i.e., I get a black screen, switching to an other console (ALT F2, etc...) does not work,
ALT-BS, CTL-ALT-DEL is not accepted. Ssh from a second computer works. Dmesg shows two issues with modules (now taken from kern.log):

 Jul 29 15:08:21 lynx thinkpad_acpi: procfs hotkey enable/disable: access by process with PID 7001
Jul 29 15:08:21 lynx ------------[ cut here ]------------
Jul 29 15:08:21 lynx WARNING: at drivers/platform/x86/thinkpad_acpi.c:2962 hotkey_write+0x81/0x1ad [thinkpad_acpi]()
Jul 29 15:08:21 lynx Hardware name: 6457E2G
Jul 29 15:08:21 lynx thinkpad_acpi: hotkey enable/disable functionality has been removed from the driver.  Hotkeys are always enabled
Jul 29 15:08:21 lynx Modules linked in: tun snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss bridge stp llc xfs usb_storage uinput vboxnetflt vboxdrv acpi_cpufreq ecb snd_hda_codec_analog nvidia(P) pcmcia parport_pc ohci1394 thinkpad_acpi snd_hda_intel yenta_socket snd_hda_codec rfkill ieee1394 rsrc_nonstatic e1000e snd_pcm snd_timer snd pcmcia_core parport nvram ehci_hcd sdhci_pci sdhci snd_page_alloc video i2c_i801 uhci_hcd mmc_core pcspkr output ricoh_mmc processor thermal i2c_core button battery led_class evdev [last unloaded: cfg80211]
Jul 29 15:08:21 lynx Pid: 7001, comm: runscript.sh Tainted: P           2.6.30-gentoo-r4 #1
Jul 29 15:08:21 lynx Call Trace:
Jul 29 15:08:21 lynx [<ffffffffa018ada5>] ? hotkey_write+0x81/0x1ad [thinkpad_acpi]
Jul 29 15:08:21 lynx [<ffffffff8025a515>] ? warn_slowpath_common+0x85/0xc8
Jul 29 15:08:21 lynx [<ffffffff8025a5f2>] ? warn_slowpath_fmt+0x61/0x7e
Jul 29 15:08:21 lynx [<ffffffff803189e3>] ? proc_reg_open+0x124/0x16a
Jul 29 15:08:21 lynx [<ffffffff803189e3>] ? proc_reg_open+0x124/0x16a
Jul 29 15:08:21 lynx [<ffffffffa0187756>] ? next_cmd+0x2e/0x69 [thinkpad_acpi]
Jul 29 15:08:21 lynx [<ffffffffa018acc3>] ? hotkey_enabledisable_warn+0x4b/0xac [thinkpad_acpi]
Jul 29 15:08:21 lynx [<ffffffffa018ada5>] ? hotkey_write+0x81/0x1ad [thinkpad_acpi]
Jul 29 15:08:21 lynx [<ffffffffa018b3f0>] ? dispatch_procfs_write+0x8a/0xc6 [thinkpad_acpi]
Jul 29 15:08:21 lynx [<ffffffff8031d986>] ? proc_file_write+0x74/0xa2
Jul 29 15:08:21 lynx [<ffffffff80318e00>] ? proc_reg_write+0x7d/0xaf
Jul 29 15:08:21 lynx [<ffffffff802d2bbb>] ? vfs_write+0xb9/0x129
Jul 29 15:08:21 lynx [<ffffffff802d2d1c>] ? sys_write+0x55/0x93
Jul 29 15:08:21 lynx [<ffffffff802254ab>] ? system_call_fastpath+0x16/0x1b
Jul 29 15:08:21 lynx ---[ end trace 6d8b44cebc8ebb77 ]---
Jul 29 15:17:51 lynx BUG: unable to handle kernel NULL pointer dereference at (null)
Jul 29 15:17:51 lynx IP: [<(null)>] (null)
Jul 29 15:17:51 lynx PGD 12f604067 PUD 12f690067 PMD 0 
Jul 29 15:17:51 lynx Oops: 0010 [#1] SMP 
Jul 29 15:17:51 lynx last sysfs file: /sys/devices/platform/dock.0/docked
Jul 29 15:17:51 lynx CPU 0 
Jul 29 15:17:51 lynx Modules linked in: tun snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss bridge stp llc xfs usb_storage uinput vboxnetflt vboxdrv acpi_cpufreq ecb snd_hda_codec_analog nvidia(P) pcmcia parport_pc ohci1394 thinkpad_acpi snd_hda_intel yenta_socket snd_hda_codec rfkill ieee1394 rsrc_nonstatic e1000e snd_pcm snd_timer snd pcmcia_core parport nvram ehci_hcd sdhci_pci sdhci snd_page_alloc video i2c_i801 uhci_hcd mmc_core pcspkr output ricoh_mmc processor thermal i2c_core button battery led_class evdev [last unloaded: cfg80211]
Jul 29 15:17:51 lynx Pid: 18619, comm: X Tainted: P        W  2.6.30-gentoo-r4 #1 6457E2G
Jul 29 15:17:51 lynx RIP: 0010:[<0000000000000000>]  [<(null)>] (null)
Jul 29 15:17:51 lynx RSP: 0018:ffff88012f745cf0  EFLAGS: 00010296
Jul 29 15:17:51 lynx RAX: ffff880139c5c000 RBX: ffff88012f73b0a0 RCX: 0000000000000001
Jul 29 15:17:51 lynx RDX: ffff880139d9b424 RSI: ffff880139c5c000 RDI: ffff880139e71000
Jul 29 15:17:51 lynx RBP: ffff88012f73b058 R08: ffff880139e71000 R09: ffff88012f73b0e0
Jul 29 15:17:51 lynx R10: 00007fffe6f8bc60 R11: 0000000000003202 R12: ffff880139d9b420
Jul 29 15:17:51 lynx R13: ffff880139e71000 R14: 00007fffe6f8ce60 R15: 0000000000000000
Jul 29 15:17:51 lynx FS:  00007fdb72016710(0000) GS:ffff880028022000(0000) knlGS:0000000000000000
Jul 29 15:17:51 lynx CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul 29 15:17:51 lynx CR2: 0000000000000000 CR3: 000000012f5fd000 CR4: 00000000000006e0
Jul 29 15:17:51 lynx DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul 29 15:17:51 lynx DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jul 29 15:17:51 lynx Process X (pid: 18619, threadinfo ffff88012f744000, task ffff88012f4b8110)
Jul 29 15:17:51 lynx Stack:
Jul 29 15:17:51 lynx ffffffffa0261577 ffff88012f73b0a0 00000000c1d00005 000000000000000c
Jul 29 15:17:51 lynx 00007fffe6f8ce60 0000000000000110 ffffffffa02632da 0000000000000020
Jul 29 15:17:51 lynx ffffffffa065b751 0000000000000110 ffffffffa065b359 0000000000000110
Jul 29 15:17:51 lynx Call Trace:
Jul 29 15:17:51 lynx [<ffffffffa0261577>] ? _nv007271rm+0xaa/0x314 [nvidia]
Jul 29 15:17:51 lynx [<ffffffffa02632da>] ? _nv019648rm+0x16/0x1c [nvidia]
Jul 29 15:17:51 lynx [<ffffffffa065b751>] ? _nv003836rm+0x9/0xe [nvidia]
Jul 29 15:17:51 lynx [<ffffffffa065b359>] ? _nv003802rm+0x179/0x1c2 [nvidia]
Jul 29 15:17:51 lynx [<ffffffffa065b696>] ? _nv003838rm+0x98/0x13e [nvidia]
Jul 29 15:17:51 lynx [<ffffffffa058f59e>] ? _nv007069rm+0x19/0x25 [nvidia]
Jul 29 15:17:51 lynx [<ffffffffa039f036>] ? _nv003698rm+0x576/0x5b4 [nvidia]
Jul 29 15:17:51 lynx [<ffffffffa0614201>] ? rm_ioctl+0x2f/0x67 [nvidia]
Jul 29 15:17:51 lynx [<ffffffffa06e9750>] ? nv_kern_ioctl+0x318/0x38f [nvidia]
Jul 29 15:17:51 lynx [<ffffffff8043cc92>] ? copy_user_generic_string+0x32/0x40
Jul 29 15:17:51 lynx [<ffffffffa06e983b>] ? nv_kern_unlocked_ioctl+0x2c/0x48 [nvidia]
Jul 29 15:17:51 lynx [<ffffffff802dfe81>] ? vfs_ioctl+0x35/0x97
Jul 29 15:17:51 lynx [<ffffffff802e0332>] ? do_vfs_ioctl+0x44f/0x4a4
Jul 29 15:17:51 lynx [<ffffffff802d2e10>] ? vfs_read+0xb6/0x126
Jul 29 15:17:51 lynx [<ffffffff804397c6>] ? __up_write+0x22/0x6c
Jul 29 15:17:51 lynx [<ffffffff802e03d4>] ? sys_ioctl+0x4d/0x81
Jul 29 15:17:51 lynx [<ffffffff802254ab>] ? system_call_fastpath+0x16/0x1b
Jul 29 15:17:51 lynx Code:  Bad RIP value.
Jul 29 15:17:51 lynx RIP  [<(null)>] (null)
Jul 29 15:17:51 lynx RSP <ffff88012f745cf0>
Jul 29 15:17:51 lynx CR2: 0000000000000000
Jul 29 15:17:51 lynx ---[ end trace 6d8b44cebc8ebb78 ]---
Jul 29 15:28:13 lynx input: Virtual ThinkFinger Keyboard as /class/input/input11
Jul 29 15:28:21 lynx input: Virtual ThinkFinger Keyboard as /class/input/input12
Jul 29 15:28:52 lynx CE: hpet increasing min_delta_ns to 15000 nsec

'shutdown -h now' and 'reboot' does not work. Switching off the power provides a corrupt rootfs.

Downgrading to nvidia-drivers-185.18.14 solves the problem.

Reproducible: Always




root@lynx:/var/log(5)# emerge --info
Portage 2.1.6.13 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.10.1-r0, 2.6.30-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.30-gentoo-r4-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T8300_@_2.40GHz-with-gentoo-2.0.1
Timestamp of tree: Wed, 29 Jul 2009 07:55:01 +0000
app-shells/bash:     4.0_p28
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.4-r1
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
FFLAGS="-march=nocona -O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="de fr"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/n4g /usr/local/portage/layman/dotnet /usr/local/portage/layman/science /usr/local/portage/layman/java-overlay /usr/local/portage/layman/suka /usr/local/portage/layman/zugaina /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X Xaw3d a52 aac acl acpi administrator afs aiglx alsa amd64 amrr ao aotuv apache2 asf atlas auctex audacious audiofile automount bash-completion beagle berkdb bjam blas bluetooth bonobo boo boost branding bzip2 c++ cairo cardbus cdda cddb cdf cdio cdparanoia cdr cgi chm cli consolekit corba cracklib cran crypt cups curl cxx daap dbus device-mapper dga dia divx djvu dlloader dmi doc dri ds3490 dv dvb dvd dvdr dvdread dvi dxr3 dynagraph eds effects elf emacs emboss encode epiphany esd evo examples exif expat extra fam fame ffmpeg fftw firefox fits flac fltk foomaticdb fortran fpx fuse galago garmin gd gdal gdbm geos gif gimp gimpprint ginac glade glib glitz gml gmp gnokii gnome gnome-keyring gnuplot gnutls gphoto2 gpm graphics graphviz gs gsl gsm gstreamer gtk guile hal hardened harness hddtemp hdf hdf5 hlapi http httpd hvm iconv icq icu id3 ide imagemagick imap innodb ipod ipv6 irda irmc isdnlog ithreads jabber java java5 java6 jbig john jpeg jpeg2k kde kde4 kerberos kexi keyring kvm ladspa lame lapack laptop latex lcms ldap libffi libgda libnotify libsamplerate lirc lua lzo lzw mad maildir mailwrapper math matroska midi mikmod mmx mmxext mng mod mono motif mozdevelop mozilla mozsvg mozxmlterm mp3 mp4 mp4live mpeg mpeg2 mplayer mtp mudflap multilib musicbrainz mysql mysqli nautilus ncurses neXt netcdf netpbm network networkmanager nfs nls nntp nptl nptlonly nsplugin ntfs ntp numarray numeric nvidia obex objc ocaml octave odbc ogdi ogg ole openexr opengl openmp pae pam pcre pda pdf perl pipechan plotutils plugins png podcast policykit posix postgres postscript ppds pppd preview-latex proj projectx pstricks python qhull qt3 qt3support qt4 quicktime readline reflection reiserfs rhythmbox rle rpc rrdcgi rrdtool samba sasl science sdl server session slang slp smp sndfile snmp soup sox speex spell spl sqlite sse sse2 ssl startup-notification stlport subtitles subversion suexec svg sysfs szip t1lib tcl tcpd tex theora threads thunderbird tidy tiff tk tntc truetype unicode usb userlocales utempter v4l2 vorbis wav webdav webdav-serf webkit wifi wmf wxwindows xattr xcb xemacs xext xine xml xmlreader xmlrpc xorg xpm xulrunner xv xvid xvmc zlib zvbi" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" DVB_CARDS="usb-wt220u" ELIBC="glibc" INPUT_DEVICES="keyboard mouse                 synaptics               " KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de fr" NETBEANS_MODULES="ide websvccommon nb harness apisupport groovy gsf j2ee java xml" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

root@lynx:/var/log(6)# qlist -Iv xorg-server
x11-base/xorg-server-1.6.2.901
Comment 1 Marc Schiffbauer gentoo-dev 2009-08-01 14:11:01 UTC
I have a similar problem here on my ~amd64 system:

nvidia-drivers-185.18.14 works great with linux 2.6.30-r2 and -r4

but when upgrading to nvidia-driver-185.18.29 the system boots but I only get a black screen as soon as xdm is started.

Login via SSH works, the system is up and running.

In dmesg I can see this oops:

2009-08-01T15:51:13.929451+02:00 bart kernel: Modules linked in: vmnet parport_pc parport vmblock vmci vmmon nfsd ipv6 coretemp tun snd_seq_oss snd_seq_midi_event snd_seq snd_seq_devic
e snd_pcm_oss snd_mixer_oss microcode sha256_generic cryptd aes_x86_64 aes_generic cbc vboxnetflt vboxdrv acpi_cpufreq snd_hda_codec_analog arc4 ecb iwlagn snd_hda_intel iwlcore snd_hd
a_codec snd_hwdep mac80211 nvidia(P) snd_pcm sdhci_pci snd_timer sdhci snd cfg80211 mmc_core thinkpad_acpi e1000e rfkill rtc_cmos video snd_page_alloc pcspkr ricoh_mmc yenta_socket rtc
_core led_class i2c_i801 rsrc_nonstatic backlight intel_agp output rtc_lib i2c_core nvram e1000 fuse nfs auth_rpcgss nfs_acl lockd sunrpc raid456 async_memcpy async_xor xor async_tx ra
id6_pq raid1 raid0 dm_snapshot dm_crypt dm_mirror dm_region_hash dm_log dm_mod scsi_wait_scan sbp2 ohci1394 ieee1394 usbhid ohci_hcd uhci_hcd usb_storage ehci_hcd usbcore sg ata_piix a
hci pata_pcmcia pcmcia firmware_class pcmcia_core pata_mpiix libata
2009-08-01T15:51:13.929458+02:00 bart kernel: Pid: 6786, comm: X Tainted: P           2.6.30-gentoo-r4 #3 64606WG
2009-08-01T15:51:13.929464+02:00 bart kernel: RIP: 0010:[<0000000000000000>]  [<(null)>] (null)
2009-08-01T15:51:13.929470+02:00 bart kernel: RSP: 0018:ffff8800bbab5cf0  EFLAGS: 00010296
2009-08-01T15:51:13.929476+02:00 bart kernel: RAX: ffff8800af825000 RBX: ffff8800af1270a0 RCX: 0000000000000001
2009-08-01T15:51:13.929482+02:00 bart kernel: RDX: ffff8800af10cc24 RSI: ffff8800af825000 RDI: ffff8800378f7000
2009-08-01T15:51:13.929487+02:00 bart kernel: RBP: ffff8800af127058 R08: ffff8800378f7000 R09: ffff8800af1270e0
2009-08-01T15:51:13.929493+02:00 bart kernel: R10: 0000000000000292 R11: 0000000000003206 R12: ffff8800af10cc20
2009-08-01T15:51:13.929498+02:00 bart kernel: R13: ffff8800378f7000 R14: 00007fff4f80c2e0 R15: 0000000000000000
2009-08-01T15:51:13.929504+02:00 bart kernel: FS:  00007f04a804c6f0(0000) GS:ffff88000101c000(0000) knlGS:0000000000000000
2009-08-01T15:51:13.929510+02:00 bart kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
2009-08-01T15:51:13.929516+02:00 bart kernel: CR2: 0000000000000000 CR3: 00000000bba69000 CR4: 00000000000006e0
2009-08-01T15:51:13.929522+02:00 bart kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
2009-08-01T15:51:13.929528+02:00 bart kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
2009-08-01T15:51:13.929534+02:00 bart kernel: Process X (pid: 6786, threadinfo ffff8800bbab4000, task ffff8800b4b5c780)
2009-08-01T15:51:13.929538+02:00 bart kernel: Stack:
2009-08-01T15:51:13.929543+02:00 bart kernel: ffffffffa042a577 ffff8800af1270a0 00000000c1d00001 000000000000000c
2009-08-01T15:51:13.929549+02:00 bart kernel: 00007fff4f80c2e0 0000000000000110 ffffffffa042c2da 0000000000000020
2009-08-01T15:51:13.929555+02:00 bart kernel: ffffffffa0824751 0000000000000110 ffffffffa0824359 0000000000000110
2009-08-01T15:51:13.929559+02:00 bart kernel: Call Trace:
2009-08-01T15:51:13.929566+02:00 bart kernel: [<ffffffffa042a577>] ? _nv007271rm+0xaa/0x314 [nvidia]
2009-08-01T15:51:13.929571+02:00 bart kernel: [<ffffffffa042c2da>] ? _nv019648rm+0x16/0x1c [nvidia]
2009-08-01T15:51:13.929575+02:00 bart kernel: [<ffffffffa0824751>] ? _nv003836rm+0x9/0xe [nvidia]
2009-08-01T15:51:13.929584+02:00 bart kernel: [<ffffffffa0824359>] ? _nv003802rm+0x179/0x1c2 [nvidia]
2009-08-01T15:51:13.929588+02:00 bart kernel: [<ffffffffa0824696>] ? _nv003838rm+0x98/0x13e [nvidia]
2009-08-01T15:51:13.929595+02:00 bart kernel: [<ffffffffa075859e>] ? _nv007069rm+0x19/0x25 [nvidia]
2009-08-01T15:51:13.929599+02:00 bart kernel: [<ffffffffa0568036>] ? _nv003698rm+0x576/0x5b4 [nvidia]
2009-08-01T15:51:13.929607+02:00 bart kernel: [<ffffffffa07dd201>] ? rm_ioctl+0x2f/0x67 [nvidia]
2009-08-01T15:51:13.929611+02:00 bart kernel: [<ffffffffa08b21b9>] ? nv_kern_ioctl+0x316/0x37a [nvidia]
2009-08-01T15:51:13.929619+02:00 bart kernel: [<ffffffff8053ee5b>] ? __mutex_lock_slowpath+0x226/0x235
2009-08-01T15:51:13.929623+02:00 bart kernel: [<ffffffffa08b2259>] ? nv_kern_unlocked_ioctl+0x1c/0x20 [nvidia]
2009-08-01T15:51:13.929629+02:00 bart kernel: [<ffffffff802b134c>] ? vfs_ioctl+0x2a/0x78
2009-08-01T15:51:13.929634+02:00 bart kernel: [<ffffffff802b17e7>] ? do_vfs_ioctl+0x44d/0x48d
2009-08-01T15:51:13.929641+02:00 bart kernel: [<ffffffff802ef265>] ? sysfs_read_file+0x11f/0x131
2009-08-01T15:51:13.929647+02:00 bart kernel: [<ffffffff802b1869>] ? sys_ioctl+0x42/0x65
2009-08-01T15:51:13.929652+02:00 bart kernel: [<ffffffff802a5ee0>] ? sys_read+0x47/0x6f
2009-08-01T15:51:13.929658+02:00 bart kernel: [<ffffffff8020baab>] ? system_call_fastpath+0x16/0x1b
2009-08-01T15:51:13.929661+02:00 bart kernel: Code:  Bad RIP value.
2009-08-01T15:51:13.929666+02:00 bart kernel: RIP  [<(null)>] (null)
2009-08-01T15:51:13.929670+02:00 bart kernel: RSP <ffff8800bbab5cf0>
2009-08-01T15:51:13.929675+02:00 bart kernel: CR2: 0000000000000000
2009-08-01T15:51:13.929681+02:00 bart kernel: ---[ end trace fc7e4377c1bf4fd8 ]---

Comment 2 Florian Streibelt 2009-08-02 12:03:58 UTC
Created attachment 199898 [details]
Nvidia-Bug-Report File as requested by nvidia (see note in ebuild)

This file is from a ~amd64 system having the same issue.
Comment 3 Florian Streibelt 2009-08-02 23:07:58 UTC
I think this is a duplicate to bug #279588 - nvidia-drivers-185.18.31 is not working as well
Comment 4 Doug Goldstein gentoo-dev 2009-08-03 03:44:19 UTC
I don't even have to crack opened the bug report but I can see from this that you have a Lenovo ThinkPad (probably T61) with a Quadro NVS140. But I did just to confirm.

You might want to consider revising your xorg.conf btw. You've got a lot of outdated entries in there and you might find you have a better X experience cleaning it up.

Your best bet is to downgrade to nvidia-drivers-180.60 until a fix can be made.
Comment 5 Doug Goldstein gentoo-dev 2009-08-03 03:44:57 UTC
*** Bug 280031 has been marked as a duplicate of this bug. ***
Comment 6 Doug Goldstein gentoo-dev 2009-08-03 04:18:10 UTC
There is now a warning in the ebuild when this card is used with either kernel version
Comment 7 Christos Stamatopoulos 2009-08-03 06:22:12 UTC
I got an nvidia geforce 7600 gt and the same things happens i get this black screen when xdm is started. I can post all the needed files also but i think we just have to wait from nvidia.

I only wanted to mention that it is not specific to the quadro...
Comment 8 Alex HeadHunter Pyattaev 2009-08-03 11:00:46 UTC
OK, I also have this issue with new NVIDIA driver, however the problem appears to be not in the Xorg config file. I have rewritten a few of them, and nothing changes, the driver crashes before even showing Nvidia logo. The VESA mode works just fine, so it is not HW problem or xorg bug. So, I suppose that the problem is either in nvidia driver or in the kernel. My hardware is amd64 and GF6150 go. Downgrading alone DID NOT fix the issue, the ebuild appears to be crashing something deeper than just a few files of its own.
Comment 9 Alex HeadHunter Pyattaev 2009-08-03 11:02:20 UTC
(In reply to comment #8)
Ah, forgot to mention, all versions but 185.31 appeared to work fine, and now neither of them is working. So, IMHO, 185.31's ebuild/installer breaks something.

Comment 10 Emond Papegaaij 2009-08-03 12:02:54 UTC
(In reply to comment #9)
> (In reply to comment #8)
> Ah, forgot to mention, all versions but 185.31 appeared to work fine, and now
> neither of them is working. So, IMHO, 185.31's ebuild/installer breaks
> something.

Did you rmmod the nvidia module? Else the old (and broken) driver will still be loaded.
Comment 11 Alex HeadHunter Pyattaev 2009-08-03 13:03:00 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > (In reply to comment #8)
> > Ah, forgot to mention, all versions but 185.31 appeared to work fine, and now
> > neither of them is working. So, IMHO, 185.31's ebuild/installer breaks
> > something.
> 
> Did you rmmod the nvidia module? Else the old (and broken) driver will still be
> loaded.
> 
Of course I did, and I also always check /lib/modules/whatever that the file is unique and it's mtime corresponds to build time, so this is not the case. Probably someone could try to install driver from nvidia's offsite? I don't think that portage just runs the installer. In fact, it appears to do some nasty hacking instead.

Comment 12 Alex HeadHunter Pyattaev 2009-08-03 18:08:08 UTC
Found out some more info. Actually, it appears that the cause of crash is not just the new driver, but also the changes it does to /etc/modprobe.d/nvidia.conf. In fact with that file removed prior to emerge the 29'th version works on my system.
Comment 13 Marc Schiffbauer gentoo-dev 2009-08-04 09:31:34 UTC
Here: Lenovo T61 with nVidia Corporation Quadro NVS 140M (rev a1)

nvidia-drivers-185.18.14 works
nvidia-drivers-185.18.29 does not work (black screen, oops)
nvidia-drivers-185.18.31 does not work (black screen, oops)
Comment 14 Mishael Sibiryakov 2009-08-05 11:35:10 UTC
(In reply to comment #13)
> Here: Lenovo T61 with nVidia Corporation Quadro NVS 140M (rev a1)
> 
> nvidia-drivers-185.18.14 works
> nvidia-drivers-185.18.29 does not work (black screen, oops)
> nvidia-drivers-185.18.31 does not work (black screen, oops)
> 

On my Lenovo T61p (~amd64) with nVidia Corporation Quadro FX 570M (rev a1) result is the same. (same stack in KP too)
Comment 15 Dolores 2009-08-05 12:17:52 UTC
The same on nVidia Corporation Quadro NVS 135M (rev a1)

Marked 190.18 works well, though...can stay at 180 or jump to 190
Comment 16 Ivan D Vasin 2009-08-12 01:55:31 UTC
i'm experiencing the same symptoms on an Asus laptop with a GeForce Go 6600. upgrading to 190.18 seems to fix the issue, as does downgrading to 185.18.14. with both versions, running X by itself results in a black screen, but startx and xdm behave as expected.

# emerge -1 xorg-server nvidia-drivers -vp
[ebuild   R   ] x11-base/xorg-server-1.6.3  USE="hal ipv6 nptl sdl xorg -debug -dmx -kdrive -minimal -tslib" INPUT_DEVICES="evdev joystick keyboard mouse synaptics -acecad -aiptek -citron -elographics -fpit -hyperpen -mutouch -penmount -tslib -virtualbox -vmmouse -void -wacom" VIDEO_CARDS="nv nvidia -apm -ark -ast -chips -cirrus -dummy -epson -fbdev -fglrx -geode -glint -i128 -i740 (-impact) -imstt -intel -mach64 -mga -neomagic (-newport) -r128 -radeon -radeonhd -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vermilion -vesa -via -virtualbox -vmware -voodoo -xgi" 0 kB
[ebuild   R   ] x11-drivers/nvidia-drivers-185.18.31  USE="acpi gtk -custom-cflags (-multilib)" 0 kB

# emerge --info
Portage 2.2_rc38 (default/linux/x86/2008.0, gcc-4.3.4, glibc-2.10.1-r0, 2.6.30-gentoo-r4 i686)
=================================================================
System uname: Linux-2.6.30-gentoo-r4-i686-Intel-R-_Pentium-R-_M_processor_1.86GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 11 Aug 2009 13:15:01 +0000
app-shells/bash:     4.0_p28
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.5.4-r3, 2.6.2-r1, 3.1
dev-util/cmake:      2.6.4-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium4m -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=pentium4m -O2 -pipe -fomit-frame-pointer -fvisibility-inlines-hidden"
DISTDIR="/var/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.gtlib.gatech.edu/pub/gentoo/ ftp://mirror.iawnet.sandia.gov/pub/gentoo/ http://distfiles.gentoo.org  http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US"
MAKEOPTS="-j2"
PKGDIR="/var/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/kde-testing /usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X Xaw3d a52 aac aalib acl acpi aim alsa ao apache2 apm audiofile autoipd avahi bash-completion bcmath berkdb big-tables blas bluetooth branding bzip2 cairo caps cdparanoia cdr clamav cleartype cli consolekit cracklib crypt css ctype cups cupsddk curl curlwrappers cvs cxx dbus disk-partition djvu dri dvd dvdr ecc encode enscript exif expat fam fastbuild fat fbcon fbcondecor fbsplash ffmpeg fftw firefox flac flexresp2 fontconfig foomaticdb fortran ftp fuse g15 gallium gcj gcrypt gd gdbm geoip gif gimp ginac git glib glibc-omitfp glitz glut gmp gnuplot gnutls gpm graphviz gre gs gsl gstreamer gtk gzip hal handbook hddtemp html iconv icq idn ieee1394 imagemagick imap imlib innodb inotify int64 ipod ipv6 isdnlog ithreads jabber jack java java-external java5 java6 javascript jbig jingle joystick jpeg jpeg2k kde kerberos kontact lame lapack laptop latex lcms ldap libcaca libffi libnotify libsamplerate libssh2 libwww lm_sensors logrotate loop-aes lzma lzo mad matroska mhash mikmod mime mjpeg mmap mmx mng modplug mono moonlight motif mp3 mp4 mp4live mpeg mplayer mtp mudflap musepack musicbrainz mysql mysqli ncurses network networkmanager nis nls nntp nocd nptl nptlonly nsplugin ntfs offensive ogg openal openexr opengl openmp oscar pam pch pcmcia pcntl pcre pdf perl phonon php pkcs11 plasma plotutils png policykit portaudio posix pppd prelude pulseaudio python qt4 quicktime rar raw rdesktop readline reflection resolvconf rtsp samba sasl scanner sdl semantic-desktop server session shorten slang slp sndfile soap sockets socks5 speex spell spl sql sqlite sqlite3 sse sse2 ssl startup-notification subversion svg svga sysfs syslog sysvipc szip taglib tcpd theora threads tidy tiff timidity truetype unicode usb vcd vcdinfo vcdx vdpau vhosts videos vnc vorbis wavpack webkit wifi win32codecs wma wmf x264 x86 xattr xcb xcomposite xface xfce xft xine xinerama xinetd xml xmp xorg xosd xpm xscreensaver xulrunner xvid xvmc zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" USERLAND="GNU" VIDEO_CARDS="nvidia nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 17 Zeev Tarantov 2009-08-25 01:20:06 UTC
http://www.nvnews.net/vbulletin/showthread.php?p=2071410

"Fixed a bug that caused kernel panics when starting X on some mobile GPUs."

So a version bump is in order, and someone with an affected GPU please report back.
Comment 18 Leszek Salamacha 2009-08-26 20:51:31 UTC
Everything is working OK with nvidia-driver-185.18.36. At last.
Comment 19 Chris Gianelloni 2009-08-31 23:40:14 UTC
I am using 185.18.36 and it resolves this issue for me.
Comment 20 Doug Goldstein gentoo-dev 2009-10-29 19:54:09 UTC
Fixed in 185.18.36, which is going stable and these were never stable.